from pytlex_core import TCSP_solver, Partitioner
from pytlex_core.Graph import Graph
from pytlex_tests import Testing_utilities



if __name__ == '__main__':
    partitions = Partitioner.partition_graph(Testing_utilities.consistent_graph_9())

    for partition in partitions['main_graphs']:
        print(TCSP_solver.solve(partition))

